Loading...
Searching...
No Matches
xccdf_session.h File Reference
XCCDF » Session

High Level API for OpenSCAP XCCDF operations. More...

`#include "xccdf_policy.h"`
`#include "oscap_download_cb.h"`
`#include "oscap_export.h"`
Include dependency graph for xccdf_session.h:

Go to the source code of this file.

## Functions

OSCAP_API struct oscap_source * | xccdf_session_get_user_tailoring_file (struct xccdf_session *session)
OSCAP_API int | xccdf_session_load_check_engine_plugin (struct xccdf_session *session, const char *plugin_name)
OSCAP_API int | xccdf_session_generate_guide (struct xccdf_session *session, const char *outfile)
| Generate HTML guide form a loaded XCCDF session.
OSCAP_API int | xccdf_session_export_all (struct xccdf_session *session)
| Export XCCDF results, ARF results and HTML report from the given XCCDF session based on values set in the XCCDF session.
OSCAP_API void | xccdf_session_set_reference_filter (struct xccdf_session *session, const char *reference_filter)
| Set reference filter to the XCCDF session.
OSCAP_API void | xccdf_session_set_show_rule_details (struct xccdf_session *session, bool show_rule_details)
| Enable or disable showing rule details such as description or rationale in command line output.

## Detailed Description

High Level API for OpenSCAP XCCDF operations.

Author
  Simon Lukasik sluka.nosp@m.sik@.nosp@m.redha.nosp@m.t.co.nosp@m.m